MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027195Open CASCADE[OCCT] OCCT:Configurationpublic2016-02-20 18:232016-12-09 16:37
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027195: Configuration, CMake - data and samples/tcl folders are installed with DRAW executable only
Descriptionif DRAW executable is not installed, data and samples tcl are not required.
Thus, there is the need to bind the installation of these two folders with the one of DRAWEXE executable.
Steps To Reproduce• Try to configure, build and install occt with BUILD_MODULE_Draw=ON (or in shared mode)
Result: directories data and samples/tcl should be installed

• Try to configure, build and install occt with BUILD_MODULE_Draw=OFF (or in static mode)
Result: directories data and samples/tcl should NOT be installed
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0026944closedbugmaster CMake remarks 

-  Notes
(0053588)
git (administrator)
2016-04-26 12:55

Branch CR27195 has been created by ski.

SHA-1: c2b9b54d9162c4861d4a5c301a7ff946e6c49e90


Detailed log of new commits:

Author: ski
Date: Tue Apr 26 12:54:41 2016 +0300

    0027195: Configuration, CMake - data and samples/tcl folders are installed with DRAW executable only
    
    Installation of data and samples/tcl folders was binded with DRAWEXE target.
(0053589)
git (administrator)
2016-04-26 13:18

Branch CR27195 has been updated forcibly by ski.

SHA-1: eb9d4a44255991432c8d14b69ff89b5cb166e02f
(0053590)
git (administrator)
2016-04-26 13:18

Branch CR27195 has been updated forcibly by ski.

SHA-1: a6d9a3f03877f871dcb8c7dc832028107d559216
(0053591)
ski (developer)
2016-04-26 13:22

Dear ibs,

please review.
(0053596)
ibs (developer)
2016-04-26 14:42

there is no any remark. dear bugmaster, please integrate
(0054201)
git (administrator)
2016-05-20 12:22

Branch CR27195 has been deleted by inv.

SHA-1: a6d9a3f03877f871dcb8c7dc832028107d559216

- Related Changesets
occt: master 04cd0c6d
Timestamp: 2016-04-26 10:18:53
Author: ski
Committer: bugmaster
Details ] Diff ]
0027195: Configuration, CMake - data and samples/tcl folders are installed with DRAW executable only

Installation of data and samples/tcl folders was binded with DRAWEXE
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-20 18:23 ibs New Issue
2016-02-20 18:23 ibs Assigned To => ski
2016-02-20 18:24 ibs Relationship added child of 0026944
2016-04-26 12:55 git Note Added: 0053588
2016-04-26 13:17 ski Status new => assigned
2016-04-26 13:18 git Note Added: 0053589
2016-04-26 13:18 git Note Added: 0053590
2016-04-26 13:22 ski Note Added: 0053591
2016-04-26 13:22 ski Assigned To ski => ibs
2016-04-26 13:22 ski Status assigned => resolved
2016-04-26 13:22 ski Steps to Reproduce Updated View Revisions
2016-04-26 14:42 ibs Note Added: 0053596
2016-04-26 14:42 ibs Assigned To ibs => bugmaster
2016-04-26 14:42 ibs Status resolved => reviewed
2016-04-29 16:10 bugmaster Changeset attached => occt master 04cd0c6d
2016-04-29 16:10 bugmaster Status reviewed => verified
2016-04-29 16:10 bugmaster Resolution open => fixed
2016-05-20 12:22 git Note Added: 0054201
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker